/**
 * Service types.
 *
 * See Chapters 6 and 9.
 */
import { CharacteristicObject } from './characteristic';
export interface ServiceObject {
    iid: number;
    type: string;
    characteristics: CharacteristicObject[];
    primary?: boolean;
    hidden?: boolean;
    linked?: number[];
}
/**
 * Ensure the type is a valid service UUID, also when short representations is used
 *
 * @param {string} uuid - Service UUID
 * @returns {string} Service UUID as UUID
 */
export declare function ensureServiceUuid(uuid: string): string;
/**
 * Get a service name from its UUID.
 *
 * @param {string} uuid - Service UUID
 * @returns {string} Service name
 */
export declare function serviceFromUuid(uuid: string): string;
/**
 * Get a service UUID from its name.
 *
 * @param {string} service - Service name
 * @returns {string} Service UUID
 */
export declare function uuidFromService(service: string): string;
//# sourceMappingURL=service.d.ts.map