/// <reference types="node" />
import { TLV } from '../../model/tlv';
export interface GattResponse {
    controlField: number;
    tid: number;
    status: number;
    length?: number;
    tlv?: TLV;
}
export default class BLEProtocol {
    buildCharacteristicSignatureReadRequest(tid: number, iid: number): Buffer;
    parseCharacteristicSignatureReadResponse(buf: Buffer): GattResponse;
    buildCharacteristicWriteRequest(tid: number, iid: number, tlv: TLV): Buffer;
    parseCharacteristicWriteResponse(buf: Buffer): GattResponse;
    buildCharacteristicReadRequest(tid: number, iid: number): Buffer;
    parseCharacteristicReadResponse(buf: Buffer): GattResponse;
    buildCharacteristicTimedWriteRequest(tid: number, iid: number, tlv: TLV): Buffer;
    parseCharacteristicTimedWriteResponse(buf: Buffer): GattResponse;
    buildCharacteristicExecuteWriteRequest(tid: number, iid: number): Buffer;
    parseCharacteristicExecuteWriteResponse(buf: Buffer): GattResponse;
    buildServiceSignatureReadRequest(tid: number, sid: number): Buffer;
    parseServiceSignatureReadResponse(buf: Buffer): GattResponse;
    buildCharacteristicConfigurationRequest(tid: number, iid: number, tlv: TLV): Buffer;
    parseCharacteristicConfigurationResponse(buf: Buffer): GattResponse;
    buildProtocolConfigurationRequest(tid: number, svcID: number, tlv: TLV): Buffer;
    parseProtocolConfigurationResponse(buf: Buffer): GattResponse;
}
//# sourceMappingURL=gatt-protocol.d.ts.map